Widget V1
All Widgets V1
Get all sidebar widgets for a subreddit. Returns widget data including textarea, button, community-list, image, calendar, and rules widgets. Works with device t
GET /api/v1/communities/{name}/widgets
Get all sidebar widgets for a subreddit. Returns widget data including textarea, button, community-list, image, calendar, and rules widgets. Works with device token; bearer optional for private subs.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
name | string | Yes | Subreddit name (e.g. test). |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
proxy | string | No | Proxy. Optional if stored in Token Vault. |
bearer | string | No | Bearer token. Optional if stored in Token Vault. |
Authentication
| Header | Value |
|---|---|
X-RapidAPI-Key | Your RapidAPI key |
X-RapidAPI-Host | red-crawler1.p.rapidapi.com |
Example request
cURL
curl -X GET "https://red-crawler1.p.rapidapi.com/api/v1/communities/test/widgets?proxy=<proxy>&bearer=<bearer>" \
-H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
-H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"JavaScript
const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/test/widgets?proxy=<proxy>&bearer=<bearer>", {
method: "GET",
headers: {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
});
const data = await res.json();
console.log(data);Python
import requests
url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/test/widgets?proxy=<proxy>&bearer=<bearer>"
headers = {
"X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
"X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())Example response
HTTP 200 — captured from a live call to the gateway.
{
"success": true,
"data": {
"items": {
"widget_id-card-2qh23": {
"styles": {
"headerColor": null,
"backgroundColor": null
},
"subscribersCount": 41527,
"currentlyViewingText": "",
"description": "",
"id": "widget_id-card-2qh23",
"shortName": "Community Details",
"currentlyViewingCount": 0,
"kind": "id-card",
"subscribersText": ""
},
"widget_rules-2qh23": {
"styles": {
"headerColor": null,
"backgroundColor": null
},
"kind": "subreddit-rules",
"id": "widget_rules-2qh23",
"shortName": "Subreddit Rules",
"data": [
{
"violationReason": "No onlyfans promos, and nsfw posts",
"description": "No onlyfans promos, and nsfw posts",
"createdUtc": 1750258536,
"priority": 0,
"descriptionHtml": "<!-- SC_OFF --><div class=\"md\"><p>No onlyfans promos, and nsfw posts</p>\n</div><!-- SC_ON -->",
"shortName": "No onlyfans promos, and nsfw posts"
}
],
"display": "compact"
},
"widget_moderators-2qh23": {
"styles": {
"headerColor": null,
"backgroundColor": null
},
"kind": "moderators",
"mods": [
{
"name": "PitchforkAssistant",
"authorFlairType": "text",
"authorFlairTextColor": "dark",
"authorFlairBackgroundColor": "",
"authorFlairRichText": [],
"authorFlairText": null
},
{
"name": "VeritablePornocopium",
"authorFlairType": "text",
"authorFlairTextColor": "dark",
"authorFlairBackgroundColor": "",
"authorFlairRichText": [],
"authorFlairText": null
},
"\u2026 (5 more items)"
],
"totalMods": 7,
"id": "widget_moderators-2qh23"
}
},
"layout": {
"idCardWidget": "widget_id-card-2qh23",
"topbar": {
"order": []
},
"sidebar": {
"order": [
"widget_rules-2qh23"
]
},
"moderatorWidget": "widget_moderators-2qh23"
}
},
"error": null,
"timestamp": "2026-04-29T08:59:11.858288+00:00"
}